Module javafx.base
Package javafx.beans.value

## Interface WritableDoubleValue

- All Superinterfaces:
    `WritableNumberValue`, `WritableValue<Number>`
  All Known Implementing Classes:
    `DoubleProperty`, `DoublePropertyBase`, `JavaBeanDoubleProperty`, `ReadOnlyDoubleWrapper`, `SimpleDoubleProperty`, `SimpleStyleableDoubleProperty`, `StyleableDoubleProperty`

      public interface WritableDoubleValue
      extends WritableNumberValue

  A writable double value.
  Since:
    JavaFX 2.0
  See Also:
    `WritableValue`, `WritableNumberValue`

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `get()` | Get the wrapped value.
    `void` | `set​(double value)` | Set the wrapped value.
    `void` | `setValue​(Number value)` | Set the wrapped value.

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue`

- - ### Method Detail

    - #### get

          double get()

      Get the wrapped value. Unlike `WritableValue.getValue()`, this method returns primitive double. Needs to be identical to `WritableValue.getValue()`.
      Returns:
        The current value

    - #### set

          void set​(double value)

      Set the wrapped value. Unlike `setValue(java.lang.Number)`, this method uses primitive double.
      Parameters:
        `value` - The new value

    - #### setValue

          void setValue​(Number value)

      Set the wrapped value.

      Note: this method should accept null without throwing an exception, setting "0.0" instead.

      Specified by:
        `setValue` in interface `WritableValue<Number>`
      Parameters:
        `value` - The new value